Project Templates - Project Task Templates API
- List all project task templates of a project template
- Add a project task template to a project template
- Update a project task template linked to a project template
- Remove a project task template from a project template
- Remove all project task templates from a project template
- Fields
List all project task templates of a project template
Section titled “List all project task templates of a project template”List all project task templates of a project template with a specific ID.
GET /project_templates/:id/task_templatesResponse
Section titled “Response”Status: 200 OK[ { "id": 79, "phase_name": "Planning", "task_template": { "id": 692, "subject": "Prepare detailed implementation plan" } }, { "id": 81, "phase_name": "Planning", "task_template": { "id": 699, "subject": "Approval from steering committee for project implementation" } }, { "id": 82, "phase_name": "Implementation", "task_template": { "id": 807, "subject": "Finalize the plan for the implementation of the project" } }, "..."]The response contains these fields by default.
Predefined Filters
Section titled “Predefined Filters”The following predefined filters are available:
/project_templates/:id/task_templates/disabled: List all disabled project task templates of a project template with a specific ID./project_templates/:id/task_templates/enabled: List all enabled project task templates of a project template with a specific ID.
Add a project task template to a project template
Section titled “Add a project task template to a project template”Add a project task template to a project template with a specific ID.
POST /project_templates/:id/task_templates/When creating a new project task template relation for a project template these fields are available.
Response
Section titled “Response”Status: 200 OK{ "id": 127, "phase_name": "Pilot", "task_template": { "id": 823, "subject": "Go-live" }}Update a project task template linked to a project template
Section titled “Update a project task template linked to a project template”Update a project task template relation with a specific ID of a project template with a specific ID.
PATCH /project_templates/:id/task_templates/:task_template_aggregate_idWhen updating an existing project task template relation for a project template these fields are available.
Important:
The
:task_template_aggregate_id
is the ID of the record that links the project task template to the project template. This aggregated record contains the ID of the project task template and the name of the project phase. The ID of the aggregated record can be found using:
GET /project_templates/:id/task_templates
.
Response
Section titled “Response”Status: 200 OK{ "id": 127, "phase_name": "Implementation", "task_template": { "id": 823, "subject": "Go-live" }}Remove a project task template from a project template
Section titled “Remove a project task template from a project template”Remove the relation between a project template with a specific ID and a project task template with a specific ID.
DELETE /project_templates/:id/task_templates/:task_template_aggregate_idImportant:
The
:task_template_aggregate_id
is the ID of the record that links the project task template to the project template. This aggregated record contains the ID of the project task template and the name of the project phase. The ID of the aggregated record can be found using:
GET /project_templates/:id/task_templates
.
Response
Section titled “Response”Status: 204 No ContentRemove all project task templates from a project template
Section titled “Remove all project task templates from a project template”Remove all links between a project template with a specific ID and its project task templates.
DELETE /project_templates/:id/task_templatesResponse
Section titled “Response”Status: 204 No ContentFields
Section titled “Fields”id
Required integer — The unique ID of the relation between the project template and the project task template.
phase_name
Required string (max 50) — The Phase Name field indicates the phase of the project template that the project task template is a part of.
task_template
Required reference to Project Task Template — The Project Task Template field indicates the project task template that is related to the project template.